%kmdl ivtv

Summary: An iTVC15/16 and CX23415/16 driver.
Name: ivtv
Version: 0.1.10
Epoch: 1
Release: 49.3_pre2_ck100zz.1%{?dist}
License: distributable
Group: Applications/Multimedia
#Source0: http://prdownloads.sourceforge.net/ivtv/%{name}-%{version}.tar.gz
#Source0: http://ivtv.sourceforge.net/CVS-LATEST.tar.gz
Source0: http://kmos.org/~ckennedy/ivtv/ivtv-0.1.10-pre2-ck100z.tgz
Patch0: ivtv-0.1.10-pre2-ck100z+fwload.patch
Patch1: ivtv-0.1.10-pre2-ck100z-new_tuners.patch
Patch2: ivtv-vbibuffer.patch
URL: http://ivtv.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gcc-c++
Requires: perl-Video-ivtv, perl-Video-Frequencies
%kmdl_parentdependencies

%description
The primary goal of the IvyTV Project is to create a kernel driver for
the iTVC15 familiy of MPEG codecs. The iTVC15 family includes the
iTVC15 (CX24315) and iTVC16 (CX24316). These chips are commonly found
on Hauppauge's WinTV PVR-250 and PVR-350 TV capture cards.

%package -n %kmdl_name
%kmdl_dependencies
Summary: IVTV kernel drivers.
Group: System Environment/Kernel
Requires: ivtv-firmware >= 1:2.02.023
%if %(grep 'PATCHLEVEL = 6' %{kmdl_kernelsrcdir}/Makefile > /dev/null && echo 1 || echo 0)
#Requires: %{kmdl_moduledir}/drivers/media/video/msp3400.ko
%else
#Requires: %{kmdl_moduledir}/drivers/media/video/msp3400.o
%endif

%description -n %kmdl_name
The primary goal of the IvyTV Project is to create a kernel driver for
the iTVC15 familiy of MPEG codecs. The iTVC15 family includes the
iTVC15 (CX24315) and iTVC16 (CX24316). These chips are commonly found
on Hauppauge's WinTV PVR-250 and PVR-350 TV capture cards.

%kmdl_desc

%prep
#setup -q -n %{name}
%setup -q -n %{name}-%{version}-pre2-ck100z
%patch0 -p1 -b .firmware
%patch1 -p1 -b .newtuners
%patch2 -p1 -b .vbibuffer
perl -pi -e's,#define IVTV_VERSION .*$,#define IVTV_VERSION "%{version}-%{release}",' driver/ivtv-driver.h

perl -pi -e 's:include <linux/videodev2.h>:include "videodev2.h":' utils/radio.c
if grep 'PATCHLEVEL = 6' %{kmdl_kernelsrcdir}/Makefile; then
  mv -f driver/Makefile2.6 driver/Makefile
else
  mv -f driver/Makefile2.4 driver/Makefile
fi

%build

%if %{kmdl_userland}

make -C utils KERNELDIR=%{kmdl_kernelsrcdir}

%else

%kmdl_config
if [ ! -f %{kmdl_kernelsrcdir}/include/linux/videodev2.h ]; then
  cp -a utils/videodev2.h driver
fi
make -C driver KDIR=%{kmdl_kernelsrcdir} KERNELDIR=%{kmdl_kernelsrcdir}

%endif

%install
rm -rf %{buildroot}

%if %{kmdl_userland}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/ivtv/
make -C utils KERNELDIR=%{kmdl_kernelsrcdir} \
   INSTALLDIR=%{buildroot}%{_bindir} install
install -p utils/*.pl %{buildroot}%{_libdir}/ivtv/
mv %{buildroot}%{_bindir}/radio %{buildroot}%{_bindir}/radio-ivtv

%else

mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/media/video
make -C driver install \
	KDIR=%{kmdl_kernelsrcdir} INSTALL_MOD_PATH=%{buildroot} \
	KERNELDIR=%{kmdl_kernelsrcdir} MODDIR=%{buildroot}%{kmdl_moduledir}/drivers/media/video
if [ -d %{buildroot}%{kmdl_moduledir}/../extra ]; then
  mv %{buildroot}%{kmdl_moduledir}/../extra/* %{buildroot}%{kmdl_moduledir}/drivers/media/video/
fi
for clash in msp3400 tveeprom; do
  ls %{buildroot}%{kmdl_moduledir}/drivers/media/video/$clash.*o \
  | sed -e's,^\(.*/'$clash'\)\.\(.*\)$,mv \1.\2 \1-ivtv.\2,' | sh -x
done

%endif

%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc doc/*
%doc utils/README* utils/*.conf utils/lircrc
%{_libdir}/ivtv
%{_bindir}/*

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}/drivers/media/video/ivtv-fb.*o
%{kmdl_moduledir}/drivers/media/video/ivtv.*o
%{kmdl_moduledir}/drivers/media/video/msp3400-ivtv.*o
%{kmdl_moduledir}/drivers/media/video/saa7115.*o
%{kmdl_moduledir}/drivers/media/video/saa7127.*o
%{kmdl_moduledir}/drivers/media/video/tveeprom-ivtv.*o

%endif

%changelog
* Mon Oct 18 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- build the ivtvdev_drv.o X driver.

* Thu Oct 14 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Do realy apply Hans' fix ...

* Sun Oct 10 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add fix for VBI buffer size (Hans Verkuil <hverkuil@xs4all.nl>).

* Sun Sep 26 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Downgrade to 100z.
- Apply sys_* removal patch (Jarod Wilson <jcw@wilsonet.com>).
- Apply new tuners patch (Michael T. Dean <mtdean@thirdcontact.com>).
- Don't package msp3400.

* Thu Sep  9 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.1.10-pre2-ck108k.

* Sun Sep  5 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.1.10-pre2-ck108.

* Sat Sep  4 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.1.10-pre2-ck107u.

* Fri Sep  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.1.10-pre2-ck107o.

* Sat Aug 28 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.1.10-pre2-ck106e.

* Wed Aug 18 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.1.10-pre2-ck104f.

* Thu Jul 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.1.10-pre2-ck100m.

* Fri Jul 16 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.1.10-pre2-ck99z.

* Sun Jul 11 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.1.10-pre2-ck99t.

* Thu Jul  8 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.1.10-pre2-ck99e.

* Thu Jul  1 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.1.10-pre2-ck97v.

* Fri Jun 25 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.1.10-pre2-ck96i.

* Mon Jun 21 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.1.10-pre2-ck94r.

* Sat Jun 19 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.1.10-pre2-ck94e.

* Sun May 30 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.1.10-pre2_ck77b.

* Sat May 15 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.1.10-pre2_ck66b.

* Mon Mar 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add m179 patch (Chris Pinkham <cpinkham@bc2va.org>).
- Rename radio to radio-ivtv to avoid conflict with xawtv
  (Aaron Levinson <alevinsn@aracnet.com>).

* Wed Jan 14 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.1.9.

* Wed Dec 31 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.1.7.

* Mon Dec 29 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to official release 0.1.6.

* Mon Dec 15 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to Robert Kulagowski's patched version containing
  o Jens Axboe's 1125A patches
  o Chris Pinkham's M179 patch
  o Anduin's close_stream patch

* Wed Oct 22 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Removed firmware due to unknown licensing.
- Removed ivtv-fb.o due to unresolved depmod issues.
- Added patch for building on gcc < 3.

* Mon Oct  6 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to decoder_alpha 20031004.
- Remove i2c patch (applied upstream). Only -DNEW_I2C patch remains.
- Added missing include to videodev2.h

* Tue Sep 30 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to decoder_alpha 20030929.

* Wed Aug 20 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update rom image (reported by "Shad L. Lords").

* Tue Aug 19 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to cvs 20030813.

* Thu Jul 17 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to cvs 20030717.

* Thu Jul  7 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to cvs 20030707.

* Sun Jun 22 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to cvs 20030622.

* Mon Jun 16 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.
